Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.naming
Class Transaction

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Transaction

    public class Transaction

extends NamingEntry

Transaction

Field Summary
`static java.lang.String` | `USER_TRANSACTION`

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Transaction(javax.transaction.UserTransaction userTransaction)`

Method Summary
`static void` | `bindToENC()`
`void` | `bindToENC(java.lang.String localName)` Allow other bindings of UserTransaction.
`void` | `unbindENC()` Unbind this Transaction from a java:comp

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`getJndiName, getJndiNameInScope, getObjectToBind, release, save`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_TRANSACTION

    public static final java.lang.String USER_TRANSACTION

See Also:
  Constant Field Values

Constructor Detail

### Transaction

    public Transaction(javax.transaction.UserTransaction userTransaction)
                throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

Method Detail

### bindToENC

    public static void bindToENC()
                          throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### bindToENC

    public void bindToENC(java.lang.String localName)
                   throws javax.naming.NamingException

  Allow other bindings of UserTransaction. These should be in ADDITION to java:comp/UserTransaction

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `NamingEntry.bindToENC(java.lang.String)`

### unbindENC

    public void unbindENC()

  Unbind this Transaction from a java:comp

  Overrides:
    `unbindENC` in class `NamingEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.